Package be.fgov.ehealth.hubservices.core.v2

# Class HCPartyIdType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.HCPartyIdType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class HCPartyIdType extends Object implements Serializable

Java class for HCPartyIdType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HCPartyIdType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-HCPARTY" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-HCPARTY" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <sequence>
                 <element name="firstname" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 <element name="familyname" type="{http://www.w3.org/2001/XMLSchema}string"/>
               </sequence>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HCPartyIdType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDHCPARTY`
  `getCd()`
  new implem coming from MH, optional to be backward compatible w/ hub services
  `String`
  `getFamilyname()`
  Gets the value of the familyname property.
  `String`
  `getFirstname()`
  Gets the value of the firstname property.
  `List<IDHCPARTY>`
  `getIds()`
  Gets the value of the ids property.
  `String`
  `getName()`
  Gets the value of the name property.
  `void`
  `setCd(CDHCPARTY value)`
  Sets the value of the cd property.
  `void`
  `setFamilyname(String value)`
  Sets the value of the familyname property.
  `void`
  `setFirstname(String value)`
  Sets the value of the firstname property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HCPartyIdType

    public HCPartyIdType()

- ## Method Details

  - ### getIds

    public List<IDHCPARTY> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDHCPARTY`

    Returns:
      The value of the ids property.

  - ### getCd

    public CDHCPARTY getCd()
    new implem coming from MH, optional to be backward compatible w/ hub services
    Returns:
      possible object is `CDHCPARTY`

  - ### setCd

    public void setCd(CDHCPARTY value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDHCPARTY`
    See Also:
      - `getCd()`

  - ### getFirstname

    public String getFirstname()
    Gets the value of the firstname property.
    Returns:
      possible object is `String`

  - ### setFirstname

    public void setFirstname(String value)
    Sets the value of the firstname property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFamilyname

    public String getFamilyname()
    Gets the value of the familyname property.
    Returns:
      possible object is `String`

  - ### setFamilyname

    public void setFamilyname(String value)
    Sets the value of the familyname property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`